/*
 * Startup Code for ARM
 * ARM-Defines for Assembler
 *
 * by: Clemens Helfmeier
 * ClemensHelfmeier {at] gmx `dot" de
 * (replace the corresponding at and dot in the email, please).
 */

#ifndef _ARM_INC_
#define _ARM_INC_

//
// ******************************************************************************
//                ARM related constants
// ******************************************************************************
#define ARM_MODE_User		(0x10)
#define ARM_MODE_FIQ		(0x11)
#define ARM_MODE_IRQ		(0x12)
#define ARM_MODE_Supervisor	(0x13)
#define ARM_MODE_Abort		(0x17)
#define ARM_MODE_Undefined	(0x1B)
#define ARM_MODE_System		(0x1F)

#define ARM_I_BIT		(0x80)
#define ARM_F_BIT		(0x40)
#define ARM_T_BIT		(0x20)

#endif
