/*
 * Startup Code for ARM
 *
 * Header file for SWI
 * The SWI-Codes are defined in swi_asm.h
 * this file defines some useful routines for C
 *
 * by: Clemens Helfmeier
 * ClemensHelfmeier {at] gmx `dot" de
 * (replace the corresponding at and dot in the email, please).
 */

#ifndef _SWI_C_H_
#define _SWI_C_H_

#include "swi_asm.h"

/* if you want to execute an SWI, call this macro. */
#define SWI( code )	__asm__( "swi %0" :: "i" (code) )

#endif
